import com.imsl.chart.*;
import com.imsl.chart.qc.*;

public class SampleUChart extends JFrameChart {    
    static final int sampleSize = 5;
    static final int numberDefects[] = {
        10, 12, 8, 14, 10, 16, 11, 7, 10, 15, 9, 5,
        7, 11, 12, 6, 8, 10, 7, 5
    };
    
    public SampleUChart() {
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
        new UChart(axis, sampleSize, numberDefects);
    
        axis.getAxisX().getAxisTitle().setTitle("Sample Number");
        axis.getAxisX().getAxisLabel().setTextFormat("0");
        axis.getAxisY().getAxisTitle().setTitle("Defects per Unit");
    }
    
    
    public static void main(String argv[]) {
        new SampleUChart().setVisible(true);
    }
}